BSD_SIGNAL(3)

NAME
bsd_signal - BSD version of signal(3)

LIBRARY
libc

SYNOPSIS
#include <signal.h>
void *
bsd_signal(int sig, void *funcintint);

DESCRIPTION
The bsd_signal() function provides a partially compatible interface for programs written to historical system interfaces.

RETURN VALUES
The previous action is returned on a successful call. Otherwise, SIG_ERR is returned and the global variable errno is set to indicate the error.

SEE ALSO
signal(3)

STANDARDS
The bsd_signal() function conforms to p1003.1-2004. It was moved from X/Open to zbase in Issue 4 version 2. It first appeared in NetBSD 8.